STRUCT DRM_ENCODER_F(9)

NAME
struct_drm_encoder_funcs - encoder controls

SYNOPSIS

struct drm_encoder_funcs {
  void (* reset) (struct drm_encoder *encoder);
  void (* destroy) (struct drm_encoder *encoder);
};

MEMBERS

reset
    reset state (e.g. at init or resume time)

destroy
    cleanup and free associated data

DESCRIPTION

Encoders sit between CRTCs and connectors.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT